Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 333361 - dev-python/docutils-0.7 fails to build with python 3.1
Summary: dev-python/docutils-0.7 fails to build with python 3.1
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: PPC Linux
: High normal with 1 vote (vote)
Assignee: Python Gentoo Team
URL:
Whiteboard:
Keywords:
: 333625 333995 (view as bug list)
Depends on:
Blocks:
 
Reported: 2010-08-18 22:19 UTC by John Ross Hunt
Modified: 2010-08-23 07:53 UTC (History)
10 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (build.log,38.15 KB, text/plain)
2010-08-18 22:21 UTC, John Ross Hunt
Details
patch for docutils-0.7.ebuild adds --input-encoding=utf-8 to for buildhtml.py (docutils-0.7.ebuild.patch,1.33 KB, patch)
2010-08-22 12:33 UTC, Alessandro Lenzen
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description John Ross Hunt 2010-08-18 22:19:19 UTC
Getting 'UnicodeDecodeError: 'ascii' codec can't decode byte 0xc3 in position 171: ordinal not in range(128)' error during the ebuild.

Reproducible: Always

Steps to Reproduce:
1.emerge docutils
2.ebuild fails.
3.




powerbook ~ # emerge --info
Portage 2.1.8.3 (default/linux/powerpc/ppc32/10.0/desktop, gcc-4.3.5, glibc-2.12.1-r0, 2.6.35-gentoo-r1 ppc)
=================================================================
System uname: Linux-2.6.35-gentoo-r1-ppc-7447A,_altivec_supported-with-gentoo-2.0.1
Timestamp of tree: Wed, 18 Aug 2010 15:15:01 +0000
ccache version 2.4 [enabled]
app-shells/bash:     4.1_p7
dev-lang/python:     2.6.5-r3, 3.1.2-r4
dev-util/ccache:     2.4-r8
dev-util/cmake:      2.8.1-r2
sys-apps/baselayout: 2.0.1
sys-apps/openrc:     0.6.1-r1
sys-apps/sandbox:    2.3-r1
sys-devel/autoconf:  2.13, 2.65-r1
sys-devel/automake:  1.6.3-r1, 1.8.5-r4, 1.9.6-r3, 1.10.3, 1.11.1
sys-devel/binutils:  2.20.1-r1
sys-devel/gcc:       4.3.5, 4.4.4-r1
sys-devel/gcc-config: 1.4.1
sys-devel/libtool:   2.2.10
virtual/os-headers:  2.6.33
ACCEPT_KEYWORDS="ppc ~ppc"
ACCEPT_LICENSE="* -@EULA"
CBUILD="powerpc-unknown-linux-gnu"
CFLAGS="-O2 -mcpu=7450 -mtune=7450 -maltivec -mabi=altivec -pipe"
CHOST="powerpc-unknown-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/X11/xkb"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5/ext-active/ /etc/php/cgi-php5/ext-active/ /etc/php/cli-php5/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-O2 -mcpu=7450 -mtune=7450 -maltivec -mabi=altivec -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="assume-digests buildpkg ccache distlocks fixpackages news parallel-fetch protect-owned sandbox sfperms strict unmerge-logs unmerge-orphans userfetch"
GENTOO_MIRRORS="http://distfiles.gentoo.org"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j3"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage"
SYNC="rsync://rsync.us.gentoo.org/gentoo-portage"
USE="R X a52 aac aalib acl ads alsa altivec apache2 apm applet artworkextra aspell async audacious autoipd avahi bash-completion big-tables bluetooth bonjour branding bzip2 cairo caps ccache cdda cddax cddb cdio cdparanoia cdr cdrom cgraph cleartype cli consolekit cracklib crypt cups curl cxx dbus device-mapper dga dhcpcd dirac disk-partition djvu dmraid dmx dri dts dvd dvdr emboss encode eve exif extras faac faad fam fat fbcon ffmpeg firefox flac flickr fontconfig fortran fpx ftp galago gallium gcdmaster gcrypt gd gdbm gdu geoip gif gimp glade glitz glut gmp gnome gnome-keyring gnome-print gnomecanvas gnomecd gnutls gphoto2 gpm graphviz gs gsm gstreamer gtk guile hal hddtemp hdri hfs howl-compat iconv id3tag ieee1394 imlib iostats ipod ipv6 jbig jfs jpeg jpeg2k kdrive kerberos lapack laptop lastfmradio lcms ldap libnotify libssh2 live lua lua-cairo lua-imlib lzma lzo mad math matroska max-idx-128 mdnsresponder-compat mikmod mime mmap mng modules mono mp3 mp4 mpeg mpi mtp mudflap musicbrainz mysql mysqli nautilus ncurses network-cron networking networkmanager nls nntp nptl nptlonly nss ntfs objc objc++ objc-gc ocaml offensive ogg ogg123 openexr opengl openmp pam pango pbbuttonsd pcre pdf perl php pike pmu png policykit portaudio posix ppc ppds pppd pulseaudio python qt3support qt4 raw readline reflection reiser4 reiserfs resolvconf rle rss rtsp ruby samba sasl scanner sdl secure-delete session shine shout sip skins slang slp smi sndfile soap sockets soundex soup sourceview speex spell spl sqlite sqlite3 ssl startup-notification stream svg swat sysfs syslog t1lib tcl tcpd tga theora threads tidy tiff tk truetype twolame udev unicode upnp usb v4l v4l2 vcd vcdinfo vcdx vdpau vhook vidix vim-pager vim-syntax vlm vorbis wav weather-metar weather-xoap webkit wifi wma wma-fixed wmf wps x264 xanim xattr xcb xcomposite xfs xinerama xml xmlrpc xmp xorg xpm xslt xulrunner xv xvid zip zlib zsh-completion" ALSA_CARDS="aoa aoa-fabric-layout aoa-onyx aoa-soundbus aoa-soundbus-i2s aoa-tas aoa-toonie powermac usb-audio via82xx" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CAMERAS="adc65 agfa_cl20 aox barbie canon casio_qv clicksmart310 digigr8      digita dimagev dimera3500 directory enigma13 fuji gsmart300 hp215      iclick jamcam jd11 jl2005a kodak_dc120 kodak_dc210 kodak_dc240      kodak_dc3200 kodak_ez200 konica konica_qm150 largan lg_gsm mars      mustek panasonic_coolshot panasonic_dc1000 panasonic_dc1580      panasonic_l859 pccam300 pccam600 polaroid_pdc320 polaroid_pdc640      polaroid_pdc700 ptp2 ricoh ricoh_g3 samsung sierra sipix_blink      sipix_blink2 sipix_web2 smal sonix sony_dscf1 sony_dscf55      soundvision spca50x sq905 stv0674 stv0680 sx330z template      topfield toshiba_pdrm11" ELIBC="glibc" INPUT_DEVICES="evdev joystick keyboard mouse synaptics" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" RUBY_TARGETS="ruby18" USERLAND="GNU" VIDEO_CARDS="nouveau nv fbdev" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account" 
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, LANG, LC_ALL, LINGUAS, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 1 John Ross Hunt 2010-08-18 22:21:12 UTC
Created attachment 243501 [details]
build.log
Comment 2 Stefan Schmiedl 2010-08-19 10:19:01 UTC
(In reply to comment #0)
> Getting 'UnicodeDecodeError: 'ascii' codec can't decode byte 0xc3 in position
> 171: ordinal not in range(128)' error during the ebuild.

almost the same here on amd64:

UnicodeDecodeError: 'ascii' codec can't decode byte 0xc3 in position 1546: ordinal not in range(128)

s.
Comment 3 zimous 2010-08-19 22:06:13 UTC
Same here on ~x86. As the build.log suggests, it is a problem with Python 3.1. Indeed docutils-0.7 install fine after removing python-3.1 and keeping just 2.6.
Comment 4 Dirk Sondermann 2010-08-20 10:40:34 UTC
Adding the option --input-encoding=utf-8 to the buildhtml.py command seems to solve the problem with Python 3.1.
Comment 5 Johan Bergström 2010-08-20 13:58:38 UTC
*** Bug 333625 has been marked as a duplicate of this bug. ***
Comment 6 Andrew Frink 2010-08-20 23:29:58 UTC
I get: 

UnicodeDecodeError: 'ascii' codec can't decode byte 0xe2 in position 5047: ordinal not in range(128)

on ~amd64 with python 3.1 installed. python-3.1.2-r4 is stable on amd64 and there is a stable request for docutils.
Comment 7 fkhp 2010-08-21 10:09:36 UTC
(In reply to comment #4)
> Adding the option --input-encoding=utf-8 to the buildhtml.py command seems to
> solve the problem with Python 3.1.
> 

this works well. please put it in the ebuild.
Comment 8 Nico Schlömer 2010-08-21 18:44:53 UTC
I'm running a stable amd64 system here and bumped into the same fail. Ouch!
Comment 9 Alessandro Lenzen 2010-08-22 12:33:51 UTC
Created attachment 244023 [details, diff]
patch for docutils-0.7.ebuild adds --input-encoding=utf-8 to for buildhtml.py
Comment 10 Johan Bergström 2010-08-22 20:39:25 UTC
*** Bug 333995 has been marked as a duplicate of this bug. ***
Comment 11 Dirkjan Ochtman gentoo-dev 2010-08-23 07:53:47 UTC
Fixed in CVS, thanks for the suggestion.